Integrate the personalised algorithm for translation suggestions
Closed, ResolvedPublic1 Story Points

Description

To extend the basic suggestion capabilities (T106405) based on featured articles, we can integrate the algorithm defined and tested by the research team.
That will provide personalised recommendations based on factors such as previous edits by the user.

The basic algorithm will still be used as a fallback (i.e., when the advanced algorithm provides few results or no results at all).

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 11:14 AM
Arrbee set Security to None.
Amire80 moved this task from Backlog to CX7 on the ContentTranslation board.Sep 4 2015, 3:13 PM
Amire80 triaged this task as High priority.Oct 7 2015, 7:45 AM
santhosh added subscribers: leila, Pginer-WMF.EditedOct 12 2015, 12:04 PM

Let me try to list some iterations on this

Arrbee added a subscriber: Arrbee.Oct 28 2015, 8:31 AM

Added into Sprint 3 as a candidate and will require confirmation from @santhosh and @leila for implementation details and sub tasks.

santhosh claimed this task.Nov 4 2015, 1:28 AM

Change 250884 had a related patch set uploaded (by Santhosh):
[WIP] Suggestions: Personalized recommendataions

https://gerrit.wikimedia.org/r/250884

Arrbee moved this task from Backlog to In Progress on the LE-CX7-Sprint 3 board.Nov 4 2015, 6:45 AM

Change 250884 merged by jenkins-bot:
Suggestions: Personalized recommendations

https://gerrit.wikimedia.org/r/250884

santhosh moved this task from In Review to QA on the LE-CX7-Sprint 3 board.Nov 25 2015, 10:43 AM
santhosh edited a custom field.Nov 27 2015, 4:06 AM
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 3 board.Nov 27 2015, 7:03 AM